Bug 149481 - NVidia network interface CK804 hangs with forcedeth driver
NVidia network interface CK804 hangs with forcedeth driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 10:08 EST by Alessandro Polverini
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 02:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Polverini 2005-02-23 10:08:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020 Galeon/1.3.19

Description of problem:
I just upgraded my motherboard and got a ASUS A8N-SLI PCI Express
It has 2 on board network devices, a Marvell Yukon and a nvidia.
The Marvell (with tg3 driver) works fine, while the nvidia has timeouts and locks up intermittently rendering it unusable.

In /var/log/messages it's possible to see a lot of these lines:
Feb 23 15:46:07 japot kernel: NETDEV WATCHDOG: eth1: transmit timed out


Version-Release number of selected component (if applicable):
kernel-2.6.10-1.766_FC3

How reproducible:
Always

Steps to Reproduce:
1. Install FC3
2. Configure eth0 with tg3, eth1 with forcedeth
3. Run some sw using eth1
  

Actual Results:  LAN works for a few seconds, then hangs

Additional info:

Here is my lspci:
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation: Unknown device 0050 (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:08.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller (rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc RV380 0x3e50 [Radeon X600]
01:00.1 Display controller: ATI Technologies Inc: Unknown device 3e70
05:06.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 11)
05:06.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
05:07.0 Communication controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN interface
05:08.0 Communication controller: Tiger Jet Network Inc. Tiger3XX Modem/ISDN interface
05:0c.0 Ethernet controller: Marvell Technology Group Ltd. Yukon Gigabit Ethernet 10/100/1000Base-T Adapter (rev 13)

lspci -n:
00:00.0 Class 0580: 10de:005e (rev a3)
00:01.0 Class 0601: 10de:0050 (rev a3)
00:01.1 Class 0c05: 10de:0052 (rev a2)
00:02.0 Class 0c03: 10de:005a (rev a2)
00:02.1 Class 0c03: 10de:005b (rev a3)
00:04.0 Class 0401: 10de:0059 (rev a2)
00:06.0 Class 0101: 10de:0053 (rev a2)
00:07.0 Class 0101: 10de:0054 (rev a3)
00:08.0 Class 0101: 10de:0055 (rev a3)
00:09.0 Class 0604: 10de:005c (rev a2)
00:0a.0 Class 0680: 10de:0057 (rev a3)
00:0b.0 Class 0604: 10de:005d (rev a3)
00:0c.0 Class 0604: 10de:005d (rev a3)
00:0d.0 Class 0604: 10de:005d (rev a3)
00:0e.0 Class 0604: 10de:005d (rev a3)
00:18.0 Class 0600: 1022:1100
00:18.1 Class 0600: 1022:1101
00:18.2 Class 0600: 1022:1102
00:18.3 Class 0600: 1022:1103
01:00.0 Class 0300: 1002:3e50
01:00.1 Class 0380: 1002:3e70
05:06.0 Class 0400: 109e:036e (rev 11)
05:06.1 Class 0480: 109e:0878 (rev 11)
05:07.0 Class 0780: e159:0001
05:08.0 Class 0780: e159:0001
05:0c.0 Class 0200: 11ab:4320 (rev 13)
Comment 1 Alessandro Polverini 2005-04-15 02:48:25 EDT
The problem seems gone in latest kernel-2.6.11-1.14_FC3

Note You need to log in before you can comment on or make changes to this bug.